System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object To be added

Provides properties and methods for constructing an e-mail attachment. Recommended alternative: .

- Constructor

  The mail attachment file is locked while the mail is being sent.

  Initializes a new instance of the class with the specified file name for the attachment. Sets the property to by default. Recommended alternative: .

  The name of the attachment file.
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the specified file name and encoding type for the attachment. Recommended alternative: .

  The name of the attachment file.
  The type of for the attachment.
  1.0.5000.0
  2.0.0.0
- Property
  System.Web.Mail.MailEncoding To be added: an object of type 'MailEncoding' To be added

  Gets the type of encoding for the e-mail attachment. Recommended alternative: .

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string' To be added

  Gets the name of the attachment file. Recommended alternative: .

  1.0.5000.0
  2.0.0.0
System.Obsolete("The recommended alternative is System.Net.Mail.Attachment.")